Author: Dmitry Osintsev Category:

Created: 02/25/2010 Assignee:

Updated: 11/11/2013 Due date:

Subject: [LDAP] inconsistent setup

Description: /etc/openldap/ldap.conf should contain on both sides (client/server) at least:

<pre>

BASE            dc=calculate

URI             ldap://192.168.0.1:389/

                       ^^^^^|^^^^^

                            +------- FQDN or IP of LDAP server

</pre>

It gives us working ldap* utilities and let some programmes do LDAP lookups properly (i.e. sshd, su, mountd 

and such (through nss_ldap))

History

02/25/2010 12:48 pm - Dmitry Osintsev

Also /etc/ldap.secret should have a password of LDAP servers's DN=ou=Unix,ou=Services,dc=calculate

01/14/2011 11:39 am - Alexander Tratsevskiy

- Assignee set to Alexey Samoukin

06/06/2013 03:00 pm - Dmitry Fomenko

- Assignee deleted (Alexey Samoukin)

- Priority changed from Normal to High

Guys, can we deal with it? Looking not very hard to fix it. Please take a look to the fresh snippet from logs:



Jun  6 13:58:04 ws07 su[15685]: pam_ldap: could not open secret file /etc/ldap.secret (No such file or directory)

06/06/2013 03:25 pm - Dmitry Fomenko

Another one situation caused by this issue: 



Jun  6 12:18:43 ws02 zsh: nss_ldap: could not get LDAP result - Can't contact LDAP server

Jun  6 12:19:03 ws02 xscreensaver: nss_ldap: could not search LDAP server - Server is unavailable

Jun  6 12:34:22 ws02 urxvt: nss_ldap: could not search LDAP server - Server is unavailable

Jun  6 12:34:23 ws02 mc: nss_ldap: could not search LDAP server - Server is unavailable

Jun  6 13:06:32 ws02 urxvt: nss_ldap: could not search LDAP server - Server is unavailable

06/06/2013 04:22 pm - Mikhail Hiretsky

Try to remove @/etc/ldap.conf@.
